Subject: bug#12864: 24.3.50; bad & confusing Customize `State' Menu behavior

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Sep 2020 09:20:52 -0700

Mauro Aranda <[email-masked]> writes:

> I'm not sure how to proceed here: should I send different patches for
> the bugs, or put the fixes altogether in one patch?

Some other projects emphasize smaller and logically self-contained
patches.  Here, the preference definitely seems to be towards making
bigger patches rather than many small ones.  But I'm not aware of any
strict policy in this regard; it seems to be mostly at your own
discretion.

Someone will correct me if I'm wrong, but my take is this:

It's really up to what you feel makes more sense: if they are closely
related, you might prefer sending them in one patch; otherwise, it might
be better to send the changes in separate patches.

(My personal preference is to avoid bundling unrelated changes.
 But I don't always work like that in Emacs.)